/*
 * @Description: 
 * @Version: 1.0
 * @Autor: lishengyin
 * @Date: 2022-04-18 16:29:07
 * @LastEditors: lishengyin
 * @LastEditTime: 2022-04-19 09:10:15
 */
#ifndef __PARSERSQL_HPP_
#define __PARSERSQL_HPP_

#include <iostream>
#include "ParserBase.hpp"


class ParserSql
{
private:
    
public:
    ParserSql():public ParserBase(){

    }
    ~ParserSql() {}

    /**
     * @description: 解析数据
     * @param {shared_ptr<InsPacket>} packet
     * @return {*}
     */    
    virtual bool ParserData(std::shared_ptr<InsPacket> packet) override{
        return true;
    }
};




#endif